Bug 211651 - booting 2.6.18-1.2200.fc5 hangs when 'ide=nodma' is used
booting 2.6.18-1.2200.fc5 hangs when 'ide=nodma' is used
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 12:42 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 10:16:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-10-20 12:42:16 EDT
Description of problem: We have verified on two identical machines built with
ASUS A8N-SLI Premium motherboards and AMD Athlon(tm) 64 X2 Dual Core Processor
4400+ processors that booting 2.6.18-1.2200.fc5 hangs when 'ide=nodma' is used.

Version-Release number of selected component (if applicable):
2.6.18-1.2200.fc5

How reproducible:
Always.

Steps to Reproduce:
1. Install x86_64 FC5 on an Asus A8N-SLI Premium motherboard with AMD Athlon(tm)
64 X2 Dual Core Processor 4400+ using the 'ide=nodma' kernel option. Both test
machines have SATA hard drives.
2. Verify that the older kernels can boot without problems when 'ide=nodma' is
present on the kernel option line in /boot/grub/grub.conf.
3. Yum install the latest 2.6.18-1.2200.fc5 x86_64 kernel and reboot.
  
Actual results:
The boot process hangs with...

Decompressing Linux .... done.
Booting the kernel.

Expected results:
The new kernel should boot normally with the 'ide=nodma' option as does
2.6.17-1.2187_FC5.

Additional info:
On both machines, deleting the 'ide=nodma' option from the kernel option line
for the new kernel in /boot/grub/grub.conf eliminates the hangs in booting on
both of these machines. I would also note that one test machine has the latest
released firmware for this motherboard and the other has the latest beta
firmware for this motherboard.
Comment 1 Alan Cox 2006-11-29 11:00:17 EST
Is anything else useful output if you boot with the "quiet" and "rhgb" also removed

Note You need to log in before you can comment on or make changes to this bug.